tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From William Bonnet <will...@wbonnet.net>
Subject Re: Can't start Tomcat 5.5.12 on Solaris 9
Date Fri, 28 Oct 2005 19:57:17 GMT
Hi

> I just tried compiling a simple java program and got a segmentation fault. I
> was using JDK5.0 which I just downloaded.
>   
It's really strange that the javac compiler makes a segfault...

can you give us some more information ? are you sure the installation 
was successfull ?
on which kind of computer are you running Solaris 9 ? spar c? x86 ?

have you downloaded the right version (i mean 32 or 64 bits ? 64 for 
ultra sparc processor, 32 for microsparc (SS5 for instance))

you seems to have installed the jdk with the .sh package, can you try to 
reinstall it with the package ?

download the .Z file
extract it :
tar xfz jdk-1_5_0_05-solaris-sparcv9.tar.Z

install it as root with
pkgadd -d . SUNWj5rtx

and try again please

> However, when I use the jdk that came from the system in /usr/sbin/javac,
> the compilation completed successfully.
>   
can you compile a very simple example and give us the output of the 
compiler ?

like this

public class dummy {
        public static void main(String args[]) {
        System.out.println("Hello world");
        }
}

then javac dummy.java

please paste the output of the compiler

> Looks like I did not install the downloaded JDk1.5 correctly. But, JDK1.5
> installation is just running the sh file right?
>   
Use the package, the set the JAVA_HOME to the right place

/usr/jdk/instances/jdk1.5.0/

and be sure that the path is good also. You can know which version you 
are using by

which javac

it will output the path to the java compiler


If you want a tomcat 5.5.12 rounning out of the box on a solaris 8 9 or 
10 , you can use the package from blastwave.org

Kind regards,

-- 
William Bonnet

SunWizard - Le site francais dédié aux amateurs de stations Unix
http://www.sunwizard.net



Mime
View raw message